Summary:	Programs which control basic system processes.
Group:		System Environment/Base
License:	GPL
Name:		SysVinit
Version:	2.85
Release:	3
Source:		ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/sysvinit-%{version}.tar.gz
Patch1:		sysvinit-2.85-man.patch
Patch2:		sysvinit-2.77-md5-be.patch
Patch3:		sysvinit-2.78-halt.patch
Patch4:		SysVinit-2.78-optflags-gd-1.diff
Patch5:		SysVinit-2.85-selinux-gd-1.diff
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	pam >= 0.66-5

%description
The SysVinit package contains a group of processes that control 
the very basic functions of your system. SysVinit includes the init 
program, the first program started by the Linux kernel when the 
system boots.  Init then controls the startup, running and shutdown
of all other programs.

%files
  %defattr(-,root,root)
  %doc doc/Propaganda doc/Install
  %doc doc/sysvinit-%{version}.lsm contrib/start-stop-daemon.* 
  %doc %{_mandir}/*/*

  /sbin/pidof
  /sbin/poweroff
  /sbin/telinit
  /usr/bin/mesg
  /dev/initctl

  %attr(0500,root,root)		/sbin/halt
  %attr(0500,root,root)		/sbin/init
  %attr(0500,root,root)		/sbin/killall5
  %attr(0500,root,root)		/sbin/reboot
  %attr(0500,root,root)		/sbin/runlevel
  %attr(0500,root,root)		/sbin/shutdown
  %attr(0500,root,root)		/sbin/sulogin
  %attr(0510,root,admin)	/usr/bin/last
  %attr(0510,root,admin)	/usr/bin/lastb
  %attr(0510,root,admin)	/usr/bin/utmpdump

%prep
%setup -q -n sysvinit-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
  make -C src RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LCRYPT="-lcrypt"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  for I in sbin usr/bin %{_mandir}/man{1,3,5,8} etc var/run dev; do
	mkdir -p $RPM_BUILD_ROOT/$I
  done

  make -C src ROOT=$RPM_BUILD_ROOT BIN_OWNER=`id -nu` BIN_GROUP=`id -ng` install
  mknod --mode=0600 $RPM_BUILD_ROOT/dev/initctl p ||:
  ln -snf killall5 $RPM_BUILD_ROOT/sbin/pidof
  chmod 750 $RPM_BUILD_ROOT/usr/bin/utmpdump

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_bindir}/wall
  rm -f $RPM_BUILD_ROOT/%{_includedir}

%post
  [ -e /var/run/initrunlvl ] && ln -s ../var/run/initrunlvl /etc/initrunlvl
  exit 0

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.85, Release 3
  - Don't hardcode cflags in the Makefile, pass them in via RPM_OPT_FLAGS.
  - Specify LCRYPT since the Makefile doesn't pick it up on 64bit systems.

* Wed Jul 06 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.85, Release 2
  - Patch in support for SELinux.

* Tue Jun 30 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 2.85, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
